# Request and Response

## Get all orders belonging to a single shopping cart

<mark style="color:blue;">`GET`</mark> `https://api.alephcrm.com/v2/orders/pack`

#### Query Parameters

| Name                                         | Type    | Description    |
| -------------------------------------------- | ------- | -------------- |
| API\_KEY<mark style="color:red;">\*</mark>   | String  | (default=none) |
| accountId <mark style="color:red;">\*</mark> | Integer | (default=none) |
| packId<mark style="color:red;">\*</mark>     | String  | (default=none) |

{% tabs %}
{% tab title="200: OK Array of OrdersPackType object" %}

```json
[
   { OrdersPackType }
]
```

{% endtab %}

{% tab title="206: Partial Content Array of OrdersPackType object." %}

```
[
   { OrdersPackType }
]
```

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="416: Range Not Satisfiable {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error String" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### packId

Filters shopping carts with the given ID.\
The packID is the ID assigned by the marketplace of origin to the shopping cart.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/orders/get-methods/get-orders-list-from-a-shopping-cart/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
